Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.image.codec.jpeg
Class ImageFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.sun.image.codec.jpeg.ImageFormatException

All Implemented Interfaces:
  Serializable

public class ImageFormatException
extends RuntimeException

Signals that an Image Format exception of some sort has occurred.

Note that the classes in the com.sun.image.codec.jpeg package are not part of the core Java APIs. They are a part of Sun's JDK and JRE distributions. Although other licensees may choose to distribute these classes, developers cannot depend on their availability in non-Sun implementations. We expect that equivalent functionality will eventually be available in a core API or standard extension.

Since:
  JDK1.2
See Also:
  `JPEGImageEncoder`, `JPEGImageDecoder`, Serialized Form

Constructor Summary
`ImageFormatException()` Constructs an `ImageFormatException` with no detail message.
`ImageFormatException(String s)` Constructs an `ImageFormatException` with the specified detailed message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageFormatException

    public ImageFormatException()

  Constructs an `ImageFormatException` with no detail message.

### ImageFormatException

    public ImageFormatException(String s)

  Constructs an `ImageFormatException` with the specified detailed message.
  Parameters:
    `s` - the message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.